use locale;

sub tasuhi 
{
	my $whitespace='[\s\n\f\r]+';
	my $pre="[^%\.]";
	my $toc=$_[0];
	
	if ($toc=~m/
		($pre\b[Ss]\b$whitespace[ABDEGIJLMORUVZabdegijlmoruvz]\w*)|
		($pre\b[Zz]\b$whitespace[CFHKPSTcfhkpst]\w*)|
		($pre\b[Hh]\b$whitespace[ABCDEFHIJLMNOPRSTUVZabcdefhijlmnoprstuvz]\w*)|
		($pre\b[Kk]\b$whitespace[GKgk]\w*)
            /mgx) {
		return ("$G_filename:$G_linenum - Tasuhi err: $toc\n");;	
	} else {return (0);};
}

sub clearLex {
	$text=$_[0];

	# turns escape seq to spaces (multiline messages etc.)
	$text=trEscEscToSpace($text);

	
	# Clears hotkeys
	$text=clearHotkeys($text);
	$text=trUserToKey($text);
	$text=~s/\^//gi;

	# Clears the rest and changes it to |
	$text=~s/[\]\[\-\&\_\<\'\`\>\"\@]/\|/gi;
	return ($text);

}


sub checkLex {
	# can be extended as needed...
	my $text=$_[0];
	$text=&clearLex($text);

	my $tasuhi=&tasuhi($text);

	return ($tasuhi);
}

1;

